@import java.time.LocalDate
@(latestStats: services.StatsFetcher.UpstreamFormat, latestChange: models.DailyData, cumulativeChart: ChartData, dailyChangesChart: ChartData, chartStart: LocalDate, chartEnd: LocalDate)

<!DOCTYPE html>
<html>
<head>
  <title>COVID Dashboard</title>

  <link href="https://cdn.jsdelivr.net/npm/bootstrap@@5.0.0-beta2/dist/css/bootstrap.min.css" rel="stylesheet" integrity="sha384-BmbxuPwQa2lc/FVzBcNJ7UAyJxM6wuqIj61tLrc4wSX0szH/Ev+nYRRuWlolflfl" crossorigin="anonymous">
</head>
<body>
  <div class="container-fluid">
    <div class="row">
      <h1 style="text-align: center">COVID Dashboard</h1>
      <p>Country: Malaysia</p>@* TODO allow selecting country*@
    </div>

    <hr>
    
    <div class="row" style="text-align: center">
      <div class="col-md-12" style="text-align: center">
        <h2>Latest Data</h2>
      </div>
      <div class="col-md-2" style="color: red">
        <p>Total</p>
        <p class="lead">@latestStats.testedPositive.formatted("%,d")</p>
        <p class="small">@latestChange.confirmed.formatted("%+,d")</p>
      </div>
      <div class="col-md-2" style="color: green">
        <p>Recovered</p>
        <p class="lead">@latestStats.recovered.formatted("%,d")</p>
        <p class="small">@latestChange.recovered.formatted("%+,d")</p>
      </div>
      <div class="col-md-2" style="color: black">
        <p>Deaths</p>
        <p class="lead">@latestStats.deceased.formatted("%,d")</p>
        <p class="small">@latestChange.deaths.formatted("%+,d")</p>
      </div>
      <div class="col-md-2" style="color: orange">
        <p>Active Cases</p>
        <p class="lead">@latestStats.activeCases.formatted("%,d")</p>
        <p class="small">@latestChange.activeCases.formatted("%+,d")</p>
      </div>
      <div class="col-md-2" style="color: gray">
        <p>ICU</p>
        <p class="lead">@latestStats.inICU.formatted("%,d")</p>
      </div>
      <div class="col-md-2" style="color: gray">
        <p>Respiratory Aid</p>
        <p class="lead">@latestStats.respiratoryAid.formatted("%,d")</p>
      </div>
    </div>

    <hr>

    <form method="get">
      <div class="row" style="text-align: center">
        <div class="col-md-12" style="text-align: center">
          <h2>Charts</h2>
        </div>
        <div class="col-md-4"></div>
        <div class="col-md-2 mb-2">
          <label for="chartStart" class="form-label">Chart start date</label>
          <input type="date" id="chartStart" name="chartStart" class="form-control" value="@chartStart.toString">
        </div>
        <div class="col-md-2 mb-2">
          <label for="chartEnd" class="form-label">Chart end date</label>
          <input type="date" id="chartEnd" name="chartEnd" class="form-control" value="@chartEnd.toString">
        </div>
        <div class="col-md-4"></div>
        <div class="col-md-12">
          <input type="submit" class="btn btn-primary" value="Update charts">
        </div>
      </div>
    </form>

    <div class="row">
      <h4 style="text-align: center" class="mt-3">Daily Changes</h4>
      <canvas id="daily-changes"></canvas>
    </div>

    <div class="row">
      <h4 style="text-align: center" class="mt-3">Cumulative</h4>
      <canvas id="cumulative"></canvas>
    </div>

    <div class="row mt-4 mb-2" style="text-align: center">
      <footer>
        Data Credit: <a href="https://apify.com/zuzka/covid-my">https://apify.com/zuzka/covid-my</a> &amp; <a href="https://github.com/CSSEGISandData/COVID-19">https://github.com/CSSEGISandData/COVID-19</a>
      </footer>
    </div>
  </div>

  <script src="https://cdn.jsdelivr.net/npm/@@popperjs/core@@2.6.0/dist/umd/popper.min.js" integrity="sha384-KsvD1yqQ1/1+IA7gi3P0tyJcT3vR+NdBTt13hSJ2lnve8agRGXTTyNaBYmCR/Nwi" crossorigin="anonymous"></script>
  <script src="https://cdn.jsdelivr.net/npm/bootstrap@@5.0.0-beta2/dist/js/bootstrap.min.js" integrity="sha384-nsg8ua9HAw1y0W1btsyWgBklPnCUAFLuTMS2G72MMONqmOymq585AcH49TLBQObG" crossorigin="anonymous"></script>
  <script src="https://cdn.jsdelivr.net/npm/chart.js@@2.9.4/dist/Chart.min.js" integrity="sha256-t9UJPrESBeG2ojKTIcFLPGF7nHi2vEc7f5A2KpH/UBU=" crossorigin="anonymous"></script>
  <script>
    const cumulativeCtx = document.getElementById("cumulative");
    const cumulativeChart = new Chart(cumulativeCtx, {
      type: 'line',
      data: @Html(cumulativeChart.asJson),
      options: {
        tooltips: {
          mode: 'x'
        }
      }
    });

    const dailyChangesCtx = document.getElementById("daily-changes");
    const dailyChangesChart = new Chart(dailyChangesCtx, {
      type: 'line',
      data: @Html(dailyChangesChart.asJson),
      options: {
        tooltips: {
          mode: 'x'
        }
      }
    });
  </script>
</body>
</html>
